Executive Summary

Summary
Title New avahi packages fix denial of service
Informations
Name DSA-2086 First vendor Publication 2010-08-04
Vendor Debian Last vendor Modification 2010-08-04
Severity (Vendor) N/A Revision 1

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:L/Au:N/C:N/I:N/A:C)
Cvss Base Score 7.8 Attack Range Network
Cvss Impact Score 6.9 Attack Complexity Low
Cvss Expoit Score 10 Authentication None Required
Calculate full CVSS 2.0 Vectors scores

Detail

Several vulnerabilities have been discovered in the Avahi mDNS/DNS-SD daemon. The Common Vulnerabilities and Exposures project identifies the following problems:

CVE-2009-0758

Rob Leslie discovered a denial of service vulnerability in the code used to reflect unicast mDNS traffic.

CVE-2010-2244

Ludwig Nussel discovered a denial of service vulnerability in the processing of malformed DNS packets.

For the stable distribution (lenny), this problem has been fixed in version 0.6.23-3lenny2.

For the unstable distribution (sid), these problems have been fixed in version 0.6.26-1.

We recommend that you upgrade your Avahi packages.

Original Source

Url : http://www.debian.org/security/2010/dsa-2086

CWE : Common Weakness Enumeration

idName
CWE-399Resource Management Errors

OVAL Definitions

Definition Id: oval:org.mitre.oval:def:22345
 
Oval ID: oval:org.mitre.oval:def:22345
Title: RHSA-2010:0528: avahi security update (Moderate)
Description: The AvahiDnsPacket function in avahi-core/socket.c in avahi-daemon in Avahi 0.6.16 and 0.6.25 allows remote attackers to cause a denial of service (assertion failure and daemon exit) via a DNS packet with an invalid checksum followed by a DNS packet with a valid checksum, a different vulnerability than CVE-2008-5081.
Family: unix Class: patch
Reference(s): RHSA-2010:0528-01
CESA-2010:0528
CVE-2009-0758
CVE-2010-2244
Version: 29
Platform(s): Red Hat Enterprise Linux 5
CentOS Linux 5
Product(s): avahi
Definition Synopsis:
Definition Id: oval:org.mitre.oval:def:13324
 
Oval ID: oval:org.mitre.oval:def:13324
Title: USN-992-1 -- avahi vulnerabilities
Description: It was discovered that Avahi incorrectly handled certain mDNS query packets when the reflector feature is enabled, which is not the default configuration on Ubuntu. A remote attacker could send crafted mDNS queries and perform a denial of service on the server and on the network. This issue only affected Ubuntu 8.04 LTS and 9.04. It was discovered that Avahi incorrectly handled mDNS packets with corrupted checksums. A remote attacker could send crafted mDNS packets and cause Avahi to crash, resulting in a denial of service
Family: unix Class: patch
Reference(s): USN-992-1
CVE-2009-0758
CVE-2010-2244
Version: 5
Platform(s): Ubuntu 8.04
Ubuntu 10.04
Ubuntu 9.04
Ubuntu 9.10
Product(s): avahi
Definition Synopsis:
Definition Id: oval:org.mitre.oval:def:12699
 
Oval ID: oval:org.mitre.oval:def:12699
Title: DSA-2086-1 avahi -- several
Description: Several vulnerabilities have been discovered in the Avahi mDNS/DNS-SD daemon. The Common Vulnerabilities and Exposures project identifies the following problems: CVE-2009-0758 Rob Leslie discovered a denial of service vulnerability in the code used to reflect unicast mDNS traffic. CVE-2010-2244 Ludwig Nussel discovered a denial of service vulnerability in the processing of malformed DNS packets. For the stable distribution, this problem has been fixed in version 0.6.23-3lenny2. For the unstable distribution, these problems have been fixed in version 0.6.26-1. We recommend that you upgrade your Avahi packages.
Family: unix Class: patch
Reference(s): DSA-2086-1
CVE-2009-0758
CVE-2010-2244
Version: 5
Platform(s): Debian GNU/Linux 5.0
Product(s): avahi
Definition Synopsis:
Definition Id: oval:org.mitre.oval:def:22789
 
Oval ID: oval:org.mitre.oval:def:22789
Title: ELSA-2010:0528: avahi security update (Moderate)
Description: The AvahiDnsPacket function in avahi-core/socket.c in avahi-daemon in Avahi 0.6.16 and 0.6.25 allows remote attackers to cause a denial of service (assertion failure and daemon exit) via a DNS packet with an invalid checksum followed by a DNS packet with a valid checksum, a different vulnerability than CVE-2008-5081.
Family: unix Class: patch
Reference(s): ELSA-2010:0528-01
CVE-2009-0758
CVE-2010-2244
Version: 13
Platform(s): Oracle Linux 5
Product(s): avahi
Definition Synopsis:

CPE : Common Platform Enumeration

TypeDescriptionCount
Application2
Application1

OpenVAS Exploits

DateDescription
2012-07-30Name : CentOS Update for avahi CESA-2011:0436 centos5 x86_64
File : nvt/gb_CESA-2011_0436_avahi_centos5_x86_64.nasl
2012-06-06Name : RedHat Update for avahi RHSA-2011:0779-01
File : nvt/gb_RHSA-2011_0779-01_avahi.nasl
2012-02-12Name : Gentoo Security Advisory GLSA 201110-17 (avahi)
File : nvt/glsa_201110_17.nasl
2011-09-12Name : Fedora Update for avahi FEDORA-2011-11588
File : nvt/gb_fedora_2011_11588_avahi_fc14.nasl
2011-08-09Name : CentOS Update for avahi CESA-2011:0436 centos5 i386
File : nvt/gb_CESA-2011_0436_avahi_centos5_i386.nasl
2011-08-09Name : CentOS Update for avahi CESA-2010:0528 centos5 i386
File : nvt/gb_CESA-2010_0528_avahi_centos5_i386.nasl
2011-05-12Name : avahi -- denial of service
File : nvt/freebsd_avahi.nasl
2011-04-19Name : RedHat Update for avahi RHSA-2011:0436-01
File : nvt/gb_RHSA-2011_0436-01_avahi.nasl
2011-02-28Name : Mandriva Update for avahi MDVSA-2011:037 (avahi)
File : nvt/gb_mandriva_MDVSA_2011_037.nasl
2010-10-19Name : Mandriva Update for avahi MDVSA-2010:204 (avahi)
File : nvt/gb_mandriva_MDVSA_2010_204.nasl
2010-10-01Name : Ubuntu Update for avahi vulnerabilities USN-992-1
File : nvt/gb_ubuntu_USN_992_1.nasl
2010-08-21Name : Debian Security Advisory DSA 2086-1 (avahi)
File : nvt/deb_2086_1.nasl
2010-07-16Name : RedHat Update for avahi RHSA-2010:0528-01
File : nvt/gb_RHSA-2010_0528-01_avahi.nasl
2010-07-12Name : Fedora Update for avahi FEDORA-2010-10581
File : nvt/gb_fedora_2010_10581_avahi_fc13.nasl
2010-07-12Name : Fedora Update for avahi FEDORA-2010-10584
File : nvt/gb_fedora_2010_10584_avahi_fc12.nasl
2009-04-15Name : Gentoo Security Advisory GLSA 200904-10 (avahi)
File : nvt/glsa_200904_10.nasl
2009-03-20Name : Mandrake Security Advisory MDVSA-2009:076 (avahi)
File : nvt/mdksa_2009_076.nasl

Open Source Vulnerability Database (OSVDB)

idDescription
66038Avahi avahi-core/socket.c Multiple Function DNS Packet Remote DoS
52543avahi-daemon avahi-core/server.c originates_from_local_legacy_unicast_socket ...

Nessus® Vulnerability Scanner

DateDescription
2013-07-12Name : The remote Oracle Linux host is missing one or more security updates.
File : oraclelinux_ELSA-2010-0528.nasl - Type : ACT_GATHER_INFO
2012-08-01Name : The remote Scientific Linux host is missing one or more security updates.
File : sl_20100713_avahi_on_SL5_x.nasl - Type : ACT_GATHER_INFO
2011-10-24Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201110-17.nasl - Type : ACT_GATHER_INFO
2011-09-12Name : The remote Fedora host is missing a security update.
File : fedora_2011-11588.nasl - Type : ACT_GATHER_INFO
2011-03-15Name : The remote FreeBSD host is missing one or more security-related updates.
File : freebsd_pkg_8b986a054dbe11e08b9a02e0184b8d35.nasl - Type : ACT_GATHER_INFO
2011-03-15Name : The remote Fedora host is missing a security update.
File : fedora_2011-3033.nasl - Type : ACT_GATHER_INFO
2011-02-25Name : The remote Mandriva Linux host is missing one or more security updates.
File : mandriva_MDVSA-2011-037.nasl - Type : ACT_GATHER_INFO
2011-01-27Name : The remote SuSE 10 host is missing a security-related patch.
File : suse_avahi-6787.nasl - Type : ACT_GATHER_INFO
2010-10-15Name : The remote Mandriva Linux host is missing one or more security updates.
File : mandriva_MDVSA-2010-204.nasl - Type : ACT_GATHER_INFO
2010-10-11Name : The remote SuSE 10 host is missing a security-related patch.
File : suse_avahi-6790.nasl - Type : ACT_GATHER_INFO
2010-10-06Name : The remote Ubuntu host is missing one or more security-related patches.
File : ubuntu_USN-992-1.nasl - Type : ACT_GATHER_INFO
2010-08-05Name : The remote Debian host is missing a security-related update.
File : debian_DSA-2086.nasl - Type : ACT_GATHER_INFO
2010-07-28Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2010-0528.nasl - Type : ACT_GATHER_INFO
2010-07-16Name : The remote CentOS host is missing one or more security updates.
File : centos_RHSA-2010-0528.nasl - Type : ACT_GATHER_INFO
2010-07-07Name : The remote Fedora host is missing a security update.
File : fedora_2010-10581.nasl - Type : ACT_GATHER_INFO
2010-07-07Name : The remote Fedora host is missing a security update.
File : fedora_2010-10584.nasl - Type : ACT_GATHER_INFO
2010-02-02Name : The remote openSUSE host is missing a security update.
File : suse_11_1_avahi-100119.nasl - Type : ACT_GATHER_INFO
2010-02-02Name : The remote openSUSE host is missing a security update.
File : suse_11_0_avahi-100119.nasl - Type : ACT_GATHER_INFO
2010-02-02Name : The remote SuSE 11 host is missing one or more security updates.
File : suse_11_avahi-100119.nasl - Type : ACT_GATHER_INFO
2009-04-23Name : The remote Mandriva Linux host is missing one or more security updates.
File : mandriva_MDVSA-2009-076.nasl - Type : ACT_GATHER_INFO
2009-04-11Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-200904-10.nasl - Type : ACT_GATHER_INFO

Alert History

If you want to see full details history, please login or register.
0
DateInformations
2014-02-17 11:29:34
  • Multiple Updates